<?php

namespace Drupal\commerce_stripe_alipay\Event;

use Drupal\commerce_payment\Entity\PaymentInterface;
use Symphony\Component\EventDispatcher\Event;

/**
 * Defines the event for Commerce Stripe Alipay.
 *
 * @see \Drupal\commerce_stripe_alipay\Event\CommerceStripeAlipayEvents
 */
class CommerceStripeAlipayEvent extends Event
{

    /**
     * The order.
     *
     * @var PaymentInterface
     */
    protected $payment;

    /**
     * Constructs a new FilterPaymentGatewaysEvent object.
     *
     * @param PaymentInterface $payment
     *   The payment.
     */
    public function __construct(PaymentInterface $payment)
    {
        $this->payment = $payment;
    }

    /**
     * Return payment.
     *
     * @return PaymentInterface
     *   Payment.
     */
    public function getPayment()
    {
        return $this->payment;
    }
}
